commit:     41fe5afc9953ae9d497dd936f40f9a9ab6c26f07
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Wed Feb 11 01:26:28 2026 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Wed Feb 11 01:58:15 2026 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=41fe5afc

dev-debug/strace: add 6.19

Signed-off-by: Sam James <sam <AT> gentoo.org>

 dev-debug/strace/Manifest           |   2 +
 dev-debug/strace/strace-6.19.ebuild | 120 ++++++++++++++++++++++++++++++++++++
 2 files changed, 122 insertions(+)

diff --git a/dev-debug/strace/Manifest b/dev-debug/strace/Manifest
index d0a98df55eee..e1f6a2731d6f 100644
--- a/dev-debug/strace/Manifest
+++ b/dev-debug/strace/Manifest
@@ -4,3 +4,5 @@ DIST strace-6.17.tar.xz 2682684 BLAKE2B 
273bc58a555dda92e34fa242ce9072214d110797
 DIST strace-6.17.tar.xz.asc 801 BLAKE2B 
69883e1a1bd1bebfd1e800d5a921cd1dfe7d86cf0de6744c696f42d6fafce823f0b757e4be00ff2c4efb7882b2b942c8c931bd2d53f869e71cc7ddc2895dbc47
 SHA512 
d025ae6ebbfed219b2629b2c25713f04de3774bbabe8ebea3e070f0df645cceeeb58943f93bb2ca542e6b73fc580be090ee8b2501e65778de249ef2a4f69a90f
 DIST strace-6.18.tar.xz 2722572 BLAKE2B 
ba9798496102c2c1d2310d9dea746d9517d58c2e9ad7e630beee294806d24a617c8a8950d0e118d6190b61ab17f5d8020d02b0a56c4740df62104dd2906206c0
 SHA512 
421b75971cb04f5e3b09a1a12bd14fff9c8b315ca394f47d299937fe82f828d6c7231981797e12eab4a95b1c96e359224756c65067c8d9aec36ef18d06cfbc85
 DIST strace-6.18.tar.xz.asc 833 BLAKE2B 
86903fae348250d614aa7c499f8c262810028000bfca86e3f632d0f84332c3402c86d2792e5d5711101b2f5f8f796e07893e5ea33aa80d61e796222bc00f8e4d
 SHA512 
d887a97f7df4c2cd8c06dea8de502c8637f80c9717cffc6d067169534ba607002ffe9ec5e4927ef95b6f5226cbd75e6b9ab7b8405b744e0d7eb3ee8e5e39afaa
+DIST strace-6.19.tar.xz 2743524 BLAKE2B 
f46ff7788bfebef06af467cac1554fa2bfdb44397f635f04bd039ad6cf8b2339eece99a4d9cbfa2c747eb243a750e6efa446d550a83a2746c178e6a4857270db
 SHA512 
d8088eef80f8007e0cae0e0a342cd171447cade8e2433f55b2592b33c704e4dcb5016c00104e536e858cf7d5ea5d2e4320073a2691b0bfb1a7ff87d932fac197
+DIST strace-6.19.tar.xz.asc 833 BLAKE2B 
e79d60b763e813d09cf1062b62edaa3be8c4b012d2d6b5c80b4b3de6fa97fd5d47ab6ff25ab232534d3dafddd709e63d7ca2eb6a140b4e95b48e753e66e23834
 SHA512 
953bd7819692d39f3fc71cc98600c4fdf3aa1ea4ba847a0d6d66cf5f83825e2f5e3424b172d62b91505ee80d85a732f226356692f02cc25f4c6905d0a6ee5990

diff --git a/dev-debug/strace/strace-6.19.ebuild 
b/dev-debug/strace/strace-6.19.ebuild
new file mode 100644
index 000000000000..36d8df9b14cf
--- /dev/null
+++ b/dev-debug/strace/strace-6.19.ebuild
@@ -0,0 +1,120 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit autotools edo flag-o-matic toolchain-funcs verify-sig
+
+DESCRIPTION="Useful diagnostic, instructional, and debugging tool"
+HOMEPAGE="https://strace.io/";
+
+if [[ ${PV} == 9999 ]] ; then
+       EGIT_REPO_URI="https://github.com/strace/strace.git";
+       inherit git-r3
+else
+       SRC_URI="
+               
https://github.com/${PN}/${PN}/releases/download/v${PV}/${P}.tar.xz
+               verify-sig? ( 
https://github.com/${PN}/${PN}/releases/download/v${PV}/${P}.tar.xz.asc )
+       "
+       KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~mips ~ppc 
~ppc64 ~riscv ~s390 ~sparc ~x86"
+fi
+
+VERIFY_SIG_OPENPGP_KEY_PATH=/usr/share/openpgp-keys/strace.asc
+
+LICENSE="LGPL-2.1+ test? ( GPL-2+ )"
+SLOT="0"
+IUSE="aio perl selinux static test unwind elfutils"
+RESTRICT="!test? ( test )"
+REQUIRED_USE="?? ( unwind elfutils )"
+
+BDEPEND="
+       virtual/pkgconfig
+       verify-sig? ( >=sec-keys/openpgp-keys-strace-20251130 )
+"
+LIB_DEPEND="
+       unwind? ( sys-libs/libunwind[static-libs(+)] )
+       elfutils? ( dev-libs/elfutils[static-libs(+)] )
+       selinux? ( sys-libs/libselinux[static-libs(+)] )
+"
+# strace only uses the header from libaio to decode structs
+DEPEND="
+       static? ( ${LIB_DEPEND} )
+       aio? ( >=dev-libs/libaio-0.3.106 )
+"
+RDEPEND="
+       !static? ( ${LIB_DEPEND//\[static-libs(+)]} )
+       perl? ( dev-lang/perl )
+"
+
+PATCHES=(
+       "${FILESDIR}/${PN}-6.5-static.patch"
+)
+
+src_prepare() {
+       default
+
+       if [[ ! -e configure ]] ; then
+               # git generation
+               sed /autoreconf/d -i bootstrap || die
+               edo ./bootstrap
+               [[ ! -e CREDITS ]] && cp CREDITS{.in,}
+       fi
+
+       eautoreconf
+
+       # Stub out the -k test since it's known to be flaky. bug #545812
+       sed -i '1iexit 77' tests*/strace-k.test || die
+}
+
+src_configure() {
+       # Set up the default build settings, and then use the names strace 
expects.
+       tc-export_build_env BUILD_{CC,CPP}
+       local v bv
+       for v in CC CPP {C,CPP,LD}FLAGS ; do
+               bv="BUILD_${v}"
+               export "${v}_FOR_BUILD=${!bv}"
+       done
+
+       filter-lfs-flags # configure handles this sanely
+
+       export ac_cv_header_libaio_h=$(usex aio)
+       use elibc_musl && export ac_cv_header_stdc=no
+
+       local myeconfargs=(
+               --disable-gcc-Werror
+
+               # Don't require mpers support on non-multilib systems. #649560
+               --enable-mpers=check
+
+               # We don't want to pin to exact linux-headers versions (bug 
#950309)
+               --enable-bundled=yes
+
+               $(use_enable static)
+               $(use_with unwind libunwind)
+               $(use_with elfutils libdw)
+               $(use_with selinux libselinux)
+       )
+
+       econf "${myeconfargs[@]}"
+}
+
+src_test() {
+       if has usersandbox ${FEATURES} ; then
+               # bug #643044
+               ewarn "Test suite is known to fail with FEATURES=usersandbox -- 
skipping ..."
+               return 0
+       fi
+
+       default
+}
+
+src_install() {
+       default
+
+       if use perl ; then
+               exeinto /usr/bin
+               doexe src/strace-graph
+       fi
+
+       dodoc CREDITS
+}

Reply via email to